<?xml version="1.0" encoding="UTF-8"?>
<!--Multiple camera strategy config table-->
<MultiCameraConfigTable>
    <rule name = "parent rule: ZOOM[0.0-0.7x)">
        <condition name = "ZOOM_RATIO" min = "0.0" max = "0.7"/>
        <outState>
            <camera name = "ultra_wide" prev = "true"/>
        </outState>
    </rule>

    <rule name = "parent rule: ZOOM[0.7-1.0x)">
        <condition name = "ZOOM_RATIO" min = "0.7" max = "1.0"/>
        <outState>
            <camera name = "ultra_wide" prev = "true"/>
        </outState>

        <rule name = "child rule: ZOOM[0.7-1.0x)zoom_in">
            <condition name = "ZOOM_RATIO" min = "0.7" max = "1.0"/>
            <condition name = "ZOOM_STATUS" value = "5"/>
            <outState>
                <camera name = "ultra_wide" prev = "true"/>
                <camera name = "wide"/>
            </outState>
        </rule>

        <rule name = "child rule: ZOOM[0.7-1.0x)zoom_out">
            <condition name = "ZOOM_RATIO" min = "0.7" max = "1.0"/>
            <condition name = "ZOOM_STATUS" value = "6"/>
            <outState>
                <camera name = "ultra_wide" prev = "true"/>
                <camera name = "wide"/>
            </outState>
        </rule>
    </rule>

    <rule name = "NORMAL_VIDEO_60FPS parent rule 1: ZOOM[1.0-2.8x)">
        <condition name = "ZOOM_RATIO" min = "1.0" max = "2.8"/>
        <outState>
            <camera name = "wide" prev = "true"/>
        </outState>

        <rule name = "child rule: ZOOM[1.0-1.2x)zoom_out">
            <condition name = "ZOOM_RATIO" min = "1.0" max = "1.2"/>
            <condition name = "ZOOM_STATUS" value = "6"/>
            <outState>
                <camera name = "wide" prev = "true"/>
                <camera name = "ultra_wide"/>
            </outState>
        </rule>

        <rule name = "child rule: ZOOM[1.8-2.8x)zoom_in">
            <condition name = "ZOOM_RATIO" min = "1.8" max = "2.8"/>
            <condition name = "ZOOM_STATUS" value = "5"/>
            <outState>
                <camera name = "wide" prev = "true"/>
                <camera name = "tele"/>
            </outState>
        </rule>

        <rule name = "child rule: ZOOM[1.8-2.8x)zoom_out">
            <condition name = "ZOOM_RATIO" min = "1.8" max = "2.8"/>
            <condition name = "ZOOM_STATUS" value = "6"/>
            <outState>
                <camera name = "wide" prev = "true"/>
                <camera name = "tele"/>
            </outState>
        </rule>
    </rule>

    <rule name = "parent rule : ZOOM[2.8-10.1x) t+w w true">
        <condition name = "ZOOM_RATIO" min = "2.8" max = "10.1"/>
        <outState>
            <camera name = "wide" prev = "true"/>
        </outState>
        <rule name = "child rule : ZOOM[2.8-10.1) lux_index > 400.0 w true">
            <condition name = "ZOOM_RATIO" min = "2.8" max = "10.1"/>
            <condition name = "LUX_INDEX" min = "400.0" max = "9999.0" hysteresis_min = "50.0"/>
            <outState>
                <camera name = "wide" prev = "true"/>
            </outState>
            <rule name = "child rule : ZOOM[2.8-10.1) lux_index > 400.0 dual streams">
                <condition name = "DISTANCE_CHANGE" value = "1"/>
                <outState>
                    <camera name = "wide" prev = "true"/>
                    <camera name = "tele"/>
                </outState>
            </rule>
        </rule>
        <rule name = "child rule : ZOOM[2.8-10.1) lux_index < 400.0 OBJECT_DISTANCE < 400 w true">
            <condition name = "ZOOM_RATIO" min = "2.8" max = "10.1"/>
            <condition name = "LUX_INDEX" min = "0.0" max = "400.0" hysteresis_max = "50.0"/>
            <condition name = "OBJECT_DISTANCE" min = "0.0" max = "400.0" hysteresis_max = "200.0"/>
            <outState>
                <camera name = "wide" prev = "true"/>
            </outState>
            <rule name = "child rule : ZOOM[2.8-10.1) lux_index < 400.0 dual streams">
                <condition name = "DISTANCE_CHANGE" value = "1"/>
                <outState>
                    <camera name = "wide" prev = "true"/>
                    <camera name = "tele"/>
                </outState>
            </rule>
        </rule>
        <rule name = "child rule : ZOOM[2.8-10.1) lux_index < 400.0 OBJECT_DISTANCE > 600 T true">
            <condition name = "ZOOM_RATIO" min = "2.8" max = "10.1"/>
            <condition name = "LUX_INDEX" min = "0.0" max = "400.0" hysteresis_max = "50.0"/>
            <condition name = "OBJECT_DISTANCE" min = "600.0" max = "9999.0" hysteresis_min = "200.0"/>
            <outState>
                <camera name = "tele" prev = "true"/>
            </outState>
            <rule name = "child rule : ZOOM[2.8-10.1) lux_index < 400.0 BJECT_DISTANCE > 600 dual streams">
                <condition name = "DISTANCE_CHANGE" value = "1"/>
                <outState>
                    <camera name = "tele" prev = "true"/>
                    <camera name = "wide"/>
                </outState>
            </rule>
            <rule name = "child rule : ZOOM[2.8-3.8) lux_index < 400.0 OBJECT_DISTANCE > 600 zoom_out T+W">
                <condition name = "ZOOM_RATIO" min = "2.8" max = "3.8"/>
                <condition name = "ZOOM_STATUS" value = "6"/>
                <outState>
                    <camera name = "tele" prev = "true"/>
                    <camera name = "wide"/>
                </outState>
            </rule>
        </rule>
    </rule>
</MultiCameraConfigTable>